Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 231903 - Show project name in projects window title when file list is scrolled down
Show project name in projects window title when file list is scrolled down
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Generic Projects UI
7.4
PC Other
: P3 (vote)
: 8.0
Assigned To: Martin Kozeny
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 08:38 UTC by LukasLt
Modified: 2013-11-13 12:25 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
HTML navigator (37.59 KB, image/png)
2013-06-27 08:38 UTC, LukasLt
Details
Sideabar (47.49 KB, image/png)
2013-06-27 08:40 UTC, LukasLt
Details
Added context menu item (102.96 KB, image/png)
2013-11-08 08:47 UTC, Martin Kozeny
Details
Actual project name panel (93.08 KB, image/png)
2013-11-08 08:48 UTC, Martin Kozeny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description LukasLt 2013-06-27 08:38:29 UTC
Created attachment 136379 [details]
HTML navigator

Within NB 7.3 HTML update, Netbeans started to show active html node opening tag if it does not fit in view port.


Please see "HTML navigator" navigator attachment to see what exactly I have in mind. This feature is very useful when you have to maintain old and ugly code with random code indents... 

I bet you know you did a great work created adding this feature :)

it would be great to have similar feature, when project name is visible in/on projects tab title. In cases I have to work with 5 projects made on the same CMS, its gets difficult not to start fixing wrong code. And I bent I'm not the only one.

Even better addition would be if it would be possible to add some sort of drop down with list of projects (and/or favorite folders) to fast scroll to any project.
Comment 1 LukasLt 2013-06-27 08:40:32 UTC
Created attachment 136380 [details]
Sideabar

Attaching sidebar idea, if that makes things clearer.
Comment 2 Martin Kozeny 2013-11-08 08:47:37 UTC
Created attachment 141961 [details]
Added context menu item
Comment 3 Martin Kozeny 2013-11-08 08:48:17 UTC
Created attachment 141962 [details]
Actual project name panel
Comment 4 Martin Kozeny 2013-11-08 08:48:48 UTC
https://hg.netbeans.org/core-main/rev/2492dec7187a
Comment 5 Martin Kozeny 2013-11-08 10:11:25 UTC
Resizing component:
https://hg.netbeans.org/core-main/rev/06449c23d22f
Comment 6 Quality Engineering 2013-11-09 06:19:37 UTC
Integrated into 'main-silver', will be available in build *201311090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/2492dec7187a
User: Martin Kozeny <mkozeny@netbeans.org>
Log: #231903: Show project name in projects window title when file list is scrolled down.
Comment 7 markiewb 2013-11-13 12:22:23 UTC
@Martin Kozeny: Target version of this fixed issue is missing


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo